## corsixth 0.0.0

=== CMakeLists.txt ===
# Cmake File for CorsixTH
# OPTIONS AVAILABLE:
# At most, one of the following:
#   - WITH_SDL     : Activate SDL Renderer (default)
#   - WITH_OPENGL  : Activate OpenGL Renderer
#   - WITH_DIRECTX : Activate DirectX Renderer (Windows only)
# Any of the following:
#   - WITH_AUDIO   : Activate Sound (enabled by default)
#   - BUILD_ANIMVIEWER
#   - BUILD_MAPEDITOR

PROJECT(CorsixTH_Top_Level)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
INCLUDE(CheckIncludeFiles)
SET(CORSIX_TH_DONE_TOP_LEVEL_CMAKE ON)

# Define our options
OPTION(WITH_OPENGL "Activate OpenGL Renderer" OFF)
OPTION(WITH_DIRECTX "Activate DirectX Renderer" OFF)
OPTION(WITH_SDL "Activate SDL Renderer" ON) # our default option
OPTION(WITH_AUDIO "Activate Sound" ON) # enabled by default
OPTION(BUILD_ANIMVIEWER "Build the animation viewer as part of the build process" OFF)
OPTION(BUILD_MAPEDITOR "Build the map editor as part of the build process" OFF)

# Option handling
IF(WITH_OPENGL)
  SET(CORSIX_TH_USE_DX9_RENDERER OFF)
  SET(CORSIX_TH_USE_SDL_RENDERER OFF)
  SET(CORSIX_TH_USE_OGL_RENDERER ON)
  MESSAGE("Note: Using OpenGL as renderer")
ENDIF(WITH_OPENGL)

IF(WITH_DIRECTX)
# DirectX will only work with win32. If we're not win32, we use OpenGL instead
IF(WIN32)
  SET(CORSIX_TH_USE_DX9_RENDERER ON)
  SET(CORSIX_TH_USE_SDL_RENDERER OFF)
  SET(CORSIX_TH_USE_OGL_RENDERER OFF)
  MESSAGE("Note: Using DirectX as renderer")
ELSE()
  SET(CORSIX_TH_USE_DX9_RENDERER OFF)
  SET(CORSIX_TH_USE_SDL_RENDERER OFF)
  SET(CORSIX_TH_USE_OGL_RENDERER ON)
  MESSAGE("Note: Cannot use DirectX due to OS, using OpenGL instead")
ENDIF(WIN32)
ENDIF(WITH_DIRECTX)

IF(NOT WITH_OPENGL)
IF(NOT WITH_DIRECTX)
IF(WITH_SDL)
  SET(CORSIX_TH_USE_DX9_RENDERER OFF)
  SET(CORSIX_TH_USE_SDL_RENDERER ON)
  SET(CORSIX_TH_USE_OGL_RENDERER OFF)
  MESSAGE("Note: Using SDL as renderer (default)")
ENDIF(WITH_SDL)
ENDIF(NOT WITH_DIRECTX)
ENDIF(NOT WITH_OPENGL)

IF(WITH_AUDIO)
  SET(CORSIX_TH_USE_SDL_MIXER ON)
  MESSAGE("Note: SDL audio is enabled (default)")
ELSE()
  SET(CORSIX_TH_USE_SDL_MIXER OFF)
  MESSAGE("Note: SDL audio is disabled")
ENDIF(WITH_AUDIO)

# Environment handling

CHECK_INCLUDE_FILES(stdint.h CORSIX_TH_HAS_STDINT_H)
CHECK_INCLUDE_FILES(malloc.h CORSIX_TH_HAS_MALLOC_H)
CHECK_INCLUDE_FILES(alloca.h CORSIX_TH_HAS_ALLOCA_H)

# Include individual projects
message("")
# We always build CorsixTH otherwise we would miss the generated header
message("Building CorsixTH")
add_subdirectory(CorsixTH)

IF(BUILD_ANIMVIEWER)
  message("Building AnimView")
  add_subdirectory(AnimView)
ENDIF(BUILD_ANIMVIEWER)

IF(BUILD_MAPEDITOR)
  IF(WITH_OPENGL)
    message("Building MapEdit")
    add_subdirectory(MapEdit)
  ELSE(WITH_OPENGL)
    message(FATAL_ERROR "The map editor can only be built when using OpenGL as renderer")
  ENDIF(WITH_OPENGL)
ENDIF(BUILD_MAPEDITOR)

=== AnimView/CMakeLists.txt ===
# Project Declaration
PROJECT(AnimView)

# Generate source files list
# Note: do not use generic includes (*.cpp and such) this will break things with cmake
SET(animview_source_files
  app.cpp
  frmMain.cpp
  frmSprites.cpp
  rnc.cpp
  th.cpp
  app.h
  backdrop.h
  frmMain.h
  frmSprites.h
  th.h
)

# Declaration of the executable
add_executable( 
  AnimView 
  WIN32 # This prevents the dos console showing up
  MACOSX_BUNDLE
  ${animview_source_files}
)

# Finding libraries

# Find WxWidgets
SET(wxWidgets_USE_LIBS gl base core) # optionally: more than wx std libs
FIND_PACKAGE(wxWidgets REQUIRED)
IF(wxWidgets_FOUND)
  LINK_LIBRARIES(${wxWidgets_LIBRARIES})
  INCLUDE_DIRECTORIES(${wxWidgets_INCLUDE_DIRS})
  INCLUDE(${wxWidgets_USE_FILE})
  TARGET_LINK_LIBRARIES(AnimView ${wxWidgets_LIBRARIES})
  message("  wxWidgets found")
ELSE(wxWidgets_FOUND)
  message(FATAL_ERROR "error: wxWdigets library not found, it is required to build")
  message("Make sure the path is correctly defined or set the environment variable WXWIN to the correct location")
ENDIF(wxWidgets_FOUND)

# Basic platform dependant stuff
IF(UNIX)
  IF(APPLE)
    # fruit goes here
  ELSE(APPLE)
    # regular unix/linux
  ENDIF(APPLE)
  IF(WIN32)
    # Win32 specific
    IF(MSVC)
      # We want to bind against the very latest versions of the MSVC runtimes
      add_definitions(/D "_BIND_TO_CURRENT_VCLIBS_VERSION=1")
    ELSE(MSVC)
      IF(MSYS)
        # MSYS stuff
      ELSE(MSYS)
        # What's left? MINGW? CYGWIN? BORLAND?
      ENDIF(MSYS)
    ENDIF(MSVC)
  ELSE(WIN32)
    # other OS (not UNIX, not 32/64 bit Windows)
  ENDIF(WIN32)
ENDIF(UNIX)

install(TARGETS AnimView RUNTIME DESTINATION AnimView)
install(FILES LICENSE.txt DESTINATION AnimView )

=== CorsixTH/CMakeLists.txt ===
# Sanity check
IF(CORSIX_TH_DONE_TOP_LEVEL_CMAKE)
ELSE(CORSIX_TH_DONE_TOP_LEVEL_CMAKE)
message(FATAL_ERROR "Please run cmake on the top-level directory, not this one.")
ENDIF(CORSIX_TH_DONE_TOP_LEVEL_CMAKE)

# Project Declaration
PROJECT(CorsixTH)

# Basic platform dependant stuff
IF(UNIX)
  IF(APPLE)
    # fruit goes here
    add_subdirectory(SDLMain)
  ELSE(APPLE)
    # regular unix/linux
  ENDIF(APPLE)
ELSE()
  IF(WIN32)
    # Win32 specific
    IF(MSVC)
      # We want to bind against the very latest versions of the MSVC runtimes
      add_definitions(/D "_BIND_TO_CURRENT_VCLIBS_VERSION=1")
    ELSE(MSVC)
      IF(MSYS)
        # MSYS stuff
      ELSE(MSYS)
        # What's left? MINGW? CYGWIN? BORLAND?
      ENDIF(MSYS)
    ENDIF(MSVC)
  ELSE(WIN32)
    # other OS (not UNIX, not 32/64 bit Windows)
  ENDIF(WIN32)
ENDIF(UNIX)

# Modify the config.h based upon our selection of options
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/CorsixTH/Src/config.h.in ${CMAKE_BINARY_DIR}/CorsixTH/Src/config.h)
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/CorsixTH/Src/)

# Generate source files list
# Note: Done after generating config.h
FILE(GLOB_RECURSE corsixth_source_files
  ${CMAKE_SOURCE_DIR}/CorsixTH/SrcUnshared/*.cpp
  ${CMAKE_SOURCE_DIR}/CorsixTH/SrcUnshared/*.c
  ${CMAKE_SOURCE_DIR}/CorsixTH/SrcUnshared/*.h
  ${CMAKE_SOURCE_DIR}/CorsixTH/SrcUnshared/*.hpp
  ${CMAKE_SOURCE_DIR}/CorsixTH/Src/*.cpp
  ${CMAKE_SOURCE_DIR}/CorsixTH/Src/*.c
  ${CMAKE_SOURCE_DIR}/CorsixTH/Src/*.hpp
  ${CMAKE_SOURCE_DIR}/CorsixTH/Src/*.h
  ${CMAKE_BINARY_DIR}/CorsixTH/Src/config.h
  ${CMAKE_SOURCE_DIR}/CorsixTH/Lua/api_version.lua
  ${CMAKE_SOURCE_DIR}/CorsixTH/CorsixTH.rc
  ${CMAKE_SOURCE_DIR}/LFS/*.c
  ${CMAKE_SOURCE_DIR}/LPEG/*.c
)

# Declaration of the executable
add_executable(CorsixTH ${corsixth_source_files})

IF(APPLE)
  target_link_libraries(CorsixTH SDLmain)
  INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/CorsixTH/SDLMain/)
ENDIF(APPLE)

# Finding libraries

# Find SDL
FIND_PACKAGE(SDL REQUIRED)
IF(SDL_FOUND)
  INCLUDE_DIRECTORIES(${SDL_INCLUDE_DIR})
  IF(SDLMAIN_LIBRARY STREQUAL "")
    IF(WIN32)
      # SDLmain not being found is not fatal, as the win32 SDLmain.c is distributed with CorsixTH
    ELSE(WIN32)
      message(FATAL_ERROR "Error: SDL was found but SDLmain was not")
      message("Make sure the path is correctly defined or set the environment variable SDLDIR to the correct location")
    ENDIF(WIN32)
  ENDIF(SDLMAIN_LIBRARY STREQUAL "")
  # No need to specify sdlmain seperately, the FindSDL.cmake file will take care of that. If not we get an error about it
  TARGET_LINK_LIBRARIES(CorsixTH ${SDL_LIBRARY})
  message("  SDL found")
ELSE(SDL_FOUND)
  message(FATAL_ERROR "Error: SDL library not found, it is required to build. Make sure the path is correctly defined or set the environment variable SDLDIR to the correct location")
ENDIF(SDL_FOUND)

# Find Lua
FIND_PACKAGE(Lua51 REQUIRED)
IF(LUA51_FOUND)
  TARGET_LINK_LIBRARIES(CorsixTH ${LUA_LIBRARY})
  INCLUDE_DIRECTORIES(${LUA_INCLUDE_DIR})
  message("  Lua 5.1 found")
ELSE(LUA51_FOUND)
  message(FATAL_ERROR "Error: Lua library not found, it is required to build")
ENDIF(LUA51_FOUND)

# Find SDL_mixer
IF(CORSIX_TH_USE_SDL_MIXER)
  FIND_PACKAGE(SDL_mixer REQUIRED)
  IF(SDLMIXER_FOUND)
    TARGET_LINK_LIBRARIES(CorsixTH ${SDLMIXER_LIBRARY})
    INCLUDE_DIRECTORIES(${SDLMIXER_INCLUDE_DIR})
    message("  SDL_mixer found")
  ELSE(SDLMIXER_FOUND)
    message("Error: SDL_mixer library not found, even though it was selected to be included")
  ENDIF(SDLMIXER_FOUND)
ENDIF(CORSIX_TH_USE_SDL_MIXER)

# Find OpenGL
IF(CORSIX_TH_USE_OGL_RENDERER)
  FIND_PACKAGE(OpenGL REQUIRED)
  IF(OPENGL_FOUND)
    TARGET_LINK_LIBRARIES(CorsixTH ${OPENGL_gl_LIBRARY})
    INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
    message("  OpenGL found")
  ELSE(OPENGL_FOUND)
    message(FATAL_ERROR "Error: OpenGL library not found, it is required to build (consider changing choice of renderer)")
  ENDIF(OPENGL_FOUND)
ENDIF(CORSIX_TH_USE_OGL_RENDERER)

# Declaration of the install process
install(TARGETS CorsixTH RUNTIME DESTINATION CorsixTH)
install(DIRECTORY Lua DESTINATION CorsixTH PATTERN "*svn" EXCLUDE)
install(DIRECTORY Bitmap DESTINATION CorsixTH PATTERN "*svn" EXCLUDE)
install(FILES config.txt DESTINATION CorsixTH )
install(FILES CorsixTH.lua DESTINATION CorsixTH )
install(FILES LICENSE.txt DESTINATION CorsixTH )

=== MapEdit/CMakeLists.txt ===
# Project Declaration
PROJECT(MapEdit)

# Generate source files list
# Note: Done after generating config.h
FILE(GLOB_RECURSE mapedit_source_files
  Src/*.cpp
  Src/*.c
  Src/*.h
  ../CorsixTH/Src/*.h
  ../CorsixTH/Src/*.c
  ../CorsixTH/Src/*.cpp
  ../LFS/lfs.c
)
add_definitions(-DCORSIX_TH_MAP_EDITOR)

# Declaration of the executable
add_executable(MapEdit 
  WIN32 
  MACOSX_BUNDLE
  ${mapedit_source_files}
)

# Basic platform dependant stuff
IF(UNIX)
  IF(APPLE)
    # fruit goes here
  ELSE(APPLE)
    # regular unix/linux
  ENDIF(APPLE)
  IF(WIN32)
    # Win32 specific
    IF(MSVC)
      # We want to bind against the very latest versions of the MSVC runtimes
      add_definitions(/D "_BIND_TO_CURRENT_VCLIBS_VERSION=1")
    ELSE(MSVC)
      IF(MSYS)
        # MSYS stuff
      ELSE(MSYS)
        # What's left? MINGW? CYGWIN? BORLAND?
      ENDIF(MSYS)
    ENDIF(MSVC)
  ELSE(WIN32)
    # other OS (not UNIX, not 32/64 bit Windows)
  ENDIF(WIN32)
ENDIF(UNIX)

# Finding libraries

# Find SDL
FIND_PACKAGE(SDL REQUIRED)
IF(SDL_FOUND)
  INCLUDE_DIRECTORIES(${SDL_INCLUDE_DIR})
  IF(SDLMAIN_LIBRARY STREQUAL "")
    message( FATAL_ERROR "error: SDL was found but sdlmain was not" )
    message( "Make sure the path is correctly defined or set the envirnomental variable SDLDIR to the correct location" )
  ENDIF(SDLMAIN_LIBRARY STREQUAL "")
  #No need to specify sdlmain seperately, the FindSDL.cmake file will take care of that. If not we get an error about it
  TARGET_LINK_LIBRARIES( MapEdit ${SDL_LIBRARY} )
  message( "  SDL found" )
ELSE(SDL_FOUND)
  message( FATAL_ERROR "error: SDL library not found, it is required to build")
  message( "Make sure the path is correctly defined or set the envirnomental variable SDLDIR to the correct location" )
ENDIF(SDL_FOUND)

# Find SDL_mixer
IF(CORSIX_TH_USE_SDL_MIXER)
  FIND_PACKAGE(SDL_mixer REQUIRED)
  IF(SDLMIXER_FOUND)
    TARGET_LINK_LIBRARIES(MapEdit ${SDLMIXER_LIBRARY})
    INCLUDE_DIRECTORIES(${SDLMIXER_INCLUDE_DIR})
  message( "  SDL_mixer found" )
  ELSE(SDLMIXER_FOUND)
    message( "error: SDL_mixer library not found, it was selected to be included")
  ENDIF(SDLMIXER_FOUND)
ENDIF(CORSIX_TH_USE_SDL_MIXER)

# Find OpenGL
IF(CORSIX_TH_USE_OGL_RENDERER)
  FIND_PACKAGE(OpenGL REQUIRED)
  IF(OPENGL_FOUND)
    TARGET_LINK_LIBRARIES( MapEdit ${OPENGL_gl_LIBRARY})
    INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
    message( "  OpenGL found" )
  ELSE(OPENGL_FOUND)
    message( FATAL_ERROR "error: OpenGL library not found, it is required to build")
  ENDIF(OPENGL_FOUND)
ENDIF(CORSIX_TH_USE_OGL_RENDERER)

# Find Lua
FIND_PACKAGE(Lua51 REQUIRED)
IF(LUA51_FOUND)
  TARGET_LINK_LIBRARIES( MapEdit ${LUA_LIBRARY})
  INCLUDE_DIRECTORIES(${LUA_INCLUDE_DIR})
  message( "  Lua 5.1 found" )
ELSE(LUA51_FOUND)
  message( FATAL_ERROR "error: Lua library not found, it is required to build")
ENDIF(LUA51_FOUND)

# Find WxWidgets
SET(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}")
SET(wxWidgets_USE_LIBS gl base core ribbon) # optionally: more than wx std libs
FIND_PACKAGE(wxWidgets_svn REQUIRED)
IF(wxWidgets_FOUND)
  INCLUDE_DIRECTORIES(${wxWidgets_INCLUDE_DIRS})
  TARGET_LINK_LIBRARIES(MapEdit ${wxWidgets_LIBRARIES})
  message( "  wxWidgets found" )
ELSE(wxWidgets_FOUND)
  message( FATAL_ERROR "error: wxWdigets library (or one of it's components) not found, it is required to build")
  message( "Make sure the path is correctly defined or set the envirnomental variable WXWIN to the correct location" )
ENDIF(wxWidgets_FOUND)

install(TARGETS MapEdit RUNTIME DESTINATION MapEdit)
install(FILES LICENSE.txt DESTINATION MapEdit )

## corsixth 0.01b-0maemo3

=== debian/changelog ===
corsixth (0.01b-0maemo3) unstable; urgency=low

  * New upstream release (0.01b).

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  3 Apr 2012 05:07:53 -0400

corsixth (0.01b-0maemo2) unstable; urgency=low

  * New upstream release (0.01b). 

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  3 Apr 2012 04:55:23 -0400

corsixth (0.01b-0maemo1) unstable; urgency=low

  * New upstream release (0.01b).

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  3 Apr 2012 03:08:24 -0400

corsixth (0.0.0-beta5-0maemo1) unstable; urgency=low

  * New upstream release (Beta5). 

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 17 Jan 2011 01:25:07 +0100

corsixth (0.0.0-beta3-0maemo1) unstable; urgency=low

  * New upstream release (Beta3). Fixes "saving requires root" issue.

 -- Javier S. Pedro <maemo@javispedro.com>  Mon,  5 Jul 2010 10:52:00 +0200

corsixth (0.0.0-beta2-0maemo1) unstable; urgency=low

  * Updated to upstream Beta2.

 -- Javier S. Pedro <maemo@javispedro.com>  Sat, 27 Mar 2010 20:56:42 +0100

corsixth (0.0.0-beta1-0maemo3) unstable; urgency=low

  * Out of tree builds.
  * Made config.txt a conffile.

 -- Javier S. Pedro <maemo@javispedro.com>  Sat,  2 Jan 2010 18:44:12 +0100

corsixth (0.0.0-beta1-0maemo2) unstable; urgency=low

  * Diablo build fixes.

 -- Javier S. Pedro <maemo@javispedro.com>  Sat,  2 Jan 2010 12:31:06 +0100

corsixth (0.0.0-beta1-0maemo1) unstable; urgency=low

  * Initial release.

 -- Javier S. Pedro <maemo@javispedro.com>  Sat,  2 Jan 2010 00:51:14 +0100

=== debian/control ===
Source: corsixth
Section: user/games
Priority: extra
Maintainer: Holger Nahrstaedt <holgernahrstaedt@gmx.de>
Build-Depends: debhelper (>= 5), cmake, sharutils, maemo-version, m4, quilt,
 liblua5.1-0-dev, libx11-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, gnupg, bash,
 pkg-config, libfreetype6-dev
XS-Maemo-Optify: none
Standards-Version: 3.7.2

Package: corsixth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, corsixth-data (= ${source:Version})
Description: Open source clone of Theme Hospital
 This project aims to reimplement the game engine of Theme Hospital,
 and be able to load the original game data files.
 .
 This means that you will need a purchased copy of Theme Hospital, or a copy of
 the demo, in order to use CorsixTH. After most of the original engine has been
 reimplemented in open source code, the project will serve as a base from which
 extensions to the original game can be made.
XB-Maemo-Display-Name: CorsixTH
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAA
 AAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oB
 ARcpFL1YJV8AAAExSURBVGje7ZpNDoIwEIVfDQdxp0fwWPQG3ACXHme68xCadMEB
 uMG4EI0/AVtkFJL3klkQSDtfy6QPWqeqCkM552DavqqqiCCEYNKB1fiEECAigKpq
 VVUKwCSsdMu5sB4ti1foMc8VFq7FAxRTNbRv9vBn/35DXq4jgAOA48wA/NkDLa4x
 pAhgO0MAoEs+JgBE1gABCEAAAhCAAMMrca+36VOTuMKuu6gS2/3gnYqvvc1jRzmK
 Gc9tRwAke5uxygGILGICEIAABPj5X4mY+f26NloH2pEA9aaGF28DcOqsR87zuQDl
 rkS5K5P7cMGlzVjskhfWAAEIQAACEIAAE+4PpHqndqYzUG/qZ4i+aIe9zd9moM87
 We/Us4hnVcTWu+oWuh/2EBGbDoxq4JazW/pxmwvxmezfO7OO4AAAAABJRU5ErkJg
 gg==

Package: corsixth-data
Architecture: all
Section: games
Pre-Depends: hildon-application-manager
Recommends: corsixth
Description: Open source clone of Theme Hospital
 This project aims to reimplement the game engine of Theme Hospital,
 and be able to load the original game data files.
 .
 This means that you will need a purchased copy of Theme Hospital, or a copy of
 the demo, in order to use CorsixTH. After most of the original engine has been
 reimplemented in open source code, the project will serve as a base from which
 extensions to the original game can be made.
 .
 This package contains the game logic (as LUA scripts).

## corsixth 0.01b-0maemo4

=== AnimView/Makefile ===
# Makefile for building AnimViewer
# This is quite a simple makefile and could probably do with some love from
# someone who understands the *nix buildchain better than I do.

CC= gcc
CPP= g++
RM= rm -f
CFLAGS= `wx-config --cflags`
LIBS= `wx-config --libs`

ALL_T= AnimViewer
ALL_O= app.o frmMain.o frmSprites.o rnc.o th.o

default: all

all: $(ALL_T)

clean:
	$(RM) $(ALL_O) $(ALL_T)

AnimViewer: $(ALL_O)
	$(CPP) -o $@ $(ALL_O) $(LIBS)

app.o:
	$(CPP) -c app.cpp $(CFLAGS)

frmMain.o:
	$(CPP) -c frmMain.cpp $(CFLAGS)

frmSprites.o:
	$(CPP) -c frmSprites.cpp $(CFLAGS)

rnc.o:
	$(CPP) -c rnc.cpp $(CFLAGS)

th.o:
	$(CPP) -c th.cpp $(CFLAGS)

=== CorsixTH/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,7 @@
 # Modify the config.h based upon our selection of options
 CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/CorsixTH/Src/config.h.in ${CMAKE_BINARY_DIR}/CorsixTH/Src/config.h)
 INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/CorsixTH/Src/)
+INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/agg/include/)
 
 # Generate source files list
 # Note: Done after generating config.h
@@ -53,15 +54,44 @@
   ${CMAKE_SOURCE_DIR}/CorsixTH/CorsixTH.rc
   ${CMAKE_SOURCE_DIR}/LFS/*.c
   ${CMAKE_SOURCE_DIR}/LPEG/*.c
+  ${CMAKE_SOURCE_DIR}/agg/src/agg_image_filters.cpp
 )
 
 # Declaration of the executable
-add_executable(CorsixTH ${corsixth_source_files})
+IF(APPLE)
+  add_definitions(-DIS_CORSIXTH_APP)
 
-IF(APPLE)
+  set(corsixth_icon_file ${CMAKE_SOURCE_DIR}/CorsixTH/Icon.icns)
+  set_source_files_properties(
+    ${corsixth_icon_file}
+    PROPERTIES
+    MACOSX_PACKAGE_LOCATION Resources
+  )
+  set(MACOSX_BUNDLE_ICON_FILE Icon.icns)
+
+  add_executable(CorsixTH MACOSX_BUNDLE ${corsixth_source_files} ${corsixth_icon_file})
+
+  set_target_properties(CorsixTH PROPERTIES LINK_FLAGS_MINSIZEREL "-dead_strip")
+
+  #Add an extra step at the end of the build process to copy the resources into the
+  #bundle. I haven't yet found a way to keep the folder structure when adding resources
+  #into XCode. I would have thought we could use source_group but apparently not.
+  set(corsixth_bundle_resources 
+    ${CMAKE_SOURCE_DIR}/CorsixTH/CorsixTH.lua
+    ${CMAKE_SOURCE_DIR}/CorsixTH/Bitmap
+    ${CMAKE_SOURCE_DIR}/CorsixTH/Lua
+    ${CMAKE_SOURCE_DIR}/CorsixTH/Levels
+  )
+  add_custom_command(TARGET CorsixTH 
+					 POST_BUILD
+					 COMMAND /Developer/Library/PrivateFrameworks/DevToolsCore.framework/Resources/pbxcp -exclude .DS_Store -exclude CVS -exclude .svn -exclude *.bmp -exclude *.png -resolve-src-symlinks ${corsixth_bundle_resources} \${TARGET_BUILD_DIR}/\${FULL_PRODUCT_NAME}/Contents/Resources
+  )
+
   target_link_libraries(CorsixTH SDLmain)
   INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/CorsixTH/SDLMain/)
-ENDIF(APPLE)
+ELSE()
+  add_executable(CorsixTH ${corsixth_source_files})
+ENDIF()
 
 # Finding libraries
 
@@ -106,6 +136,18 @@
   ENDIF(SDLMIXER_FOUND)
 ENDIF(CORSIX_TH_USE_SDL_MIXER)
 
+# Find Freetype2
+IF(CORSIX_TH_USE_FREETYPE2)
+  FIND_PACKAGE(Freetype REQUIRED)
+  IF(FREETYPE_FOUND)
+    TARGET_LINK_LIBRARIES(CorsixTH ${FREETYPE_LIBRARIES})
+    INCLUDE_DIRECTORIES(${FREETYPE_INCLUDE_DIRS})
+    message("  FreeType2 found")
+  ELSE(FREETYPE_FOUND)
+    message("Error: FreeType2 library not found, even though it was selected to be used")
+  ENDIF(FREETYPE_FOUND)
+ENDIF(CORSIX_TH_USE_FREETYPE2)
+
 # Find OpenGL
 IF(CORSIX_TH_USE_OGL_RENDERER)
   FIND_PACKAGE(OpenGL REQUIRED)
@@ -119,10 +161,35 @@
 ENDIF(CORSIX_TH_USE_OGL_RENDERER)
 
 # Declaration of the install process
-install(TARGETS CorsixTH RUNTIME DESTINATION CorsixTH)
-install(DIRECTORY Lua DESTINATION CorsixTH PATTERN "*svn" EXCLUDE)
-install(DIRECTORY Bitmap DESTINATION CorsixTH PATTERN "*svn" EXCLUDE)
-install(FILES config.txt DESTINATION CorsixTH )
-install(FILES CorsixTH.lua DESTINATION CorsixTH )
-install(FILES LICENSE.txt DESTINATION CorsixTH )
+IF(APPLE)
+  #Just use the prefix as it's sufficient to just set the prefix to /Applications on Mac.
+  install(TARGETS CorsixTH BUNDLE DESTINATION .)
 
+  #Copy the required frameworks into the bundle.
+  IF(SDL_FOUND)
+	IF(SDL_LIBRARY MATCHES "\\.framework") #Only copy if it's an actual framework.
+      string(REPLACE "-framework Cocoa" "" SDL_FRAMEWORK_LOC ${SDL_LIBRARY})
+      install(DIRECTORY ${SDL_FRAMEWORK_LOC} DESTINATION CorsixTH.app/Contents/Frameworks)
+    ENDIF()
+  ENDIF()
+
+  IF(SDLMIXER_FOUND)
+    IF(${SDLMIXER_LIBRARY} MATCHES "\\.framework$") #Only copy if it's an actual framework.
+      install(DIRECTORY ${SDLMIXER_LIBRARY} DESTINATION CorsixTH.app/Contents/Frameworks)
+    ENDIF()
+  ENDIF()
+
+  IF(LUA51_FOUND)
+    IF(${LUA_LIBRARY} MATCHES "\\.framework$") #Only copy if it's an actual framework.
+  	  install(DIRECTORY ${LUA_LIBRARY} DESTINATION CorsixTH.app/Contents/Frameworks)
+    ENDIF()
+  ENDIF()
+
+ELSE()
+  install(TARGETS CorsixTH RUNTIME DESTINATION CorsixTH)
+  install(DIRECTORY Lua Levels DESTINATION CorsixTH PATTERN "*.svn" EXCLUDE)
+  install(DIRECTORY Bitmap DESTINATION CorsixTH
+        FILES_MATCHING REGEX ".*\\.(tab|pal|dat|png)$"
+        PATTERN "*.svn" EXCLUDE)
+  install(FILES CorsixTH.lua LICENSE.txt CorsixTH.ico DESTINATION CorsixTH )
+ENDIF()

=== CorsixTH/SDLMain/CMakeLists.txt ===
IF(APPLE)
	find_package(SDL REQUIRED)

	set(CMAKE_OSX_ARCHITECTURES "x86_64;i386;ppc")	
	include_directories(${SDL_INCLUDE_DIR})

	add_library (SDLmain STATIC SDLMain.m)
endif(APPLE)

=== debian/changelog ===
corsixth (0.01b-0maemo4) unstable; urgency=low

  * added libvorbisfile3 to dependency 

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  3 Apr 2012 07:15:56 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: corsixth
 Section: user/games
 Priority: extra
-Maintainer: Holger Nahrstaedt <holgernahrstaedt@gmx.de>
+Maintainer: Javier S. Pedro <maemo@javispedro.com>
 Build-Depends: debhelper (>= 5), cmake, sharutils, maemo-version, m4, quilt,
  liblua5.1-0-dev, libx11-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, gnupg, bash,
  pkg-config, libfreetype6-dev
@@ -10,7 +10,7 @@
 
 Package: corsixth
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, corsixth-data (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, corsixth-data (= ${source:Version}), libvorbisfile3
 Description: Open source clone of Theme Hospital
  This project aims to reimplement the game engine of Theme Hospital,
  and be able to load the original game data files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Using quilt
include /usr/share/quilt/quilt.make

# Determine Maemo version
MAEMO_VERSION:=$(shell cut -d"." -f1 /etc/maemo_version)

CFLAGS:=-Wall -g -DMAEMO -DMAEMO_VERSION=$(MAEMO_VERSION)
LDFLAGS:=-Wl,-z,defs

# Decide install prefix
ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
	INSTALL_PREFIX=/usr/share/games
else
	INSTALL_PREFIX=/opt
endif

M4:=m4
M4DEFS:=-DMAEMO_MAJOR=$(MAEMO_VERSION) -DINSTALL_PREFIX=$(INSTALL_PREFIX)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS+=-O0
else ifneq (,$(findstring arm,$(DEB_BUILD_GNU_TYPE)))
	CFLAGS+=-Os
	ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
		CFLAGS+=-march=armv6j -mtune=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
	endif
else # x86
	CFLAGS+=-O2
endif

BUILDDIR=$(CURDIR)/build

debian/control: debian/control.m4
	$(M4) $(M4DEFS) debian/control.m4 > debian/control

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	
	mkdir build
	cd $(BUILDDIR) && cmake \
		-DCMAKE_INSTALL_PREFIX="$(INSTALL_PREFIX)" \
		-DCMAKE_CXX_FLAGS:STRING="$(CFLAGS)" \
		-DCMAKE_CXX_LINK_FLAGS:STRING="$(LDFLAGS)" \
		$(CURDIR)
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	$(MAKE) -C $(BUILDDIR)/CorsixTH VERBOSE=1

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f $(CURDIR)/CorsixTH/Src/config.h
	rm -rf $(BUILDDIR)

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Create destination directories
	install -d $(CURDIR)/debian/corsixth$(INSTALL_PREFIX)/CorsixTH \
		$(CURDIR)/debian/corsixth-data$(INSTALL_PREFIX)/CorsixTH \
		$(CURDIR)/debian/corsixth/usr/bin

	# Put binary in prefix while installing data
	cp $(BUILDDIR)/CorsixTH/CorsixTH $(CURDIR)/debian/corsixth-data$(INSTALL_PREFIX)/CorsixTH
	$(MAKE) -C $(BUILDDIR)/CorsixTH DESTDIR=$(CURDIR)/debian/corsixth-data install
	
	# Remove binary from prefix and put it in arch-dep package
	mv $(CURDIR)/debian/corsixth-data$(INSTALL_PREFIX)/CorsixTH/CorsixTH \
		$(CURDIR)/debian/corsixth$(INSTALL_PREFIX)/CorsixTH/CorsixTH

	# Create and install launcher script
	$(M4) $(M4DEFS) debian/corsixth.sh.m4 > $(CURDIR)/debian/corsixth/usr/bin/corsixth
	chmod 0755 $(CURDIR)/debian/corsixth/usr/bin/corsixth
	chown root:root $(CURDIR)/debian/corsixth/usr/bin/corsixth

	# Add icons
	install -d $(CURDIR)/debian/corsixth/usr/share/applications/hildon \
		$(CURDIR)/debian/corsixth/usr/share/icons/hicolor/26x26/hildon \
		$(CURDIR)/debian/corsixth/usr/share/icons/hicolor/40x40/hildon \
		$(CURDIR)/debian/corsixth/usr/share/icons/hicolor/scalable/hildon	
	install -m 0644 $(CURDIR)/debian/corsixth.desktop $(CURDIR)/debian/corsixth/usr/share/applications/hildon
	uudecode < $(CURDIR)/debian/icons/26.png.uu > $(CURDIR)/debian/corsixth/usr/share/icons/hicolor/26x26/hildon/corsixth.png
	uudecode < $(CURDIR)/debian/icons/40.png.uu > $(CURDIR)/debian/corsixth/usr/share/icons/hicolor/40x40/hildon/corsixth.png
	uudecode < $(CURDIR)/debian/icons/64.png.uu > $(CURDIR)/debian/corsixth/usr/share/icons/hicolor/scalable/hildon/corsixth.png

	# Update debian control files
	$(M4) $(M4DEFS) debian/control.m4 > debian/control
	$(M4) $(M4DEFS) debian/corsixth.postinst.m4 > debian/corsixth.postinst


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## corsixth 0.01b-0maemo5

=== debian/changelog ===
corsixth (0.01b-0maemo5) unstable; urgency=low

  * add bugracker link

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri,  6 Apr 2012 06:37:08 -0400

## corsixth 0.01b-0maemo6

=== debian/changelog ===
corsixth (0.01b-0maemo6) unstable; urgency=low

  * add bugtracker link

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri,  6 Apr 2012 07:32:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: corsixth
 Section: user/games
 Priority: extra
-Maintainer: Javier S. Pedro <maemo@javispedro.com>
+Maintainer: Holger Nahrstaedt <holgernahrstaedt@gmx.de>
 Build-Depends: debhelper (>= 5), cmake, sharutils, maemo-version, m4, quilt,
  liblua5.1-0-dev, libx11-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, gnupg, bash,
  pkg-config, libfreetype6-dev
@@ -19,6 +19,7 @@
  the demo, in order to use CorsixTH. After most of the original engine has been
  reimplemented in open source code, the project will serve as a base from which
  extensions to the original game can be made.
+XSBC-Bugtracker: mailto:holgernahrstaedt@gmx.de
 XB-Maemo-Display-Name: CorsixTH
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAA

## corsixth 0.01b-0maemo8

=== AnimView/CMakeLists.txt ===
--- 
+++ 
@@ -9,25 +9,50 @@
   frmSprites.cpp
   rnc.cpp
   th.cpp
+  tinystr.cpp
+  tinyxml.cpp
+  tinyxmlerror.cpp
+  tinyxmlparser.cpp
   app.h
   backdrop.h
   frmMain.h
   frmSprites.h
   th.h
+  tinystr.h
+  tinyxml.h
 )
 
 # Declaration of the executable
-add_executable( 
-  AnimView 
-  WIN32 # This prevents the dos console showing up
-  MACOSX_BUNDLE
-  ${animview_source_files}
-)
+IF(APPLE)
+
+  set(corsixth_icon_file ${CMAKE_SOURCE_DIR}/CorsixTH/Icon.icns)
+  set_source_files_properties(
+    ${corsixth_icon_file}
+    PROPERTIES
+    MACOSX_PACKAGE_LOCATION Resources
+  )
+  set(MACOSX_BUNDLE_ICON_FILE Icon.icns)
+
+  add_executable( 
+    AnimView
+    MACOSX_BUNDLE
+    ${animview_source_files}
+    ${corsixth_icon_file}
+  )
+
+  set_target_properties(AnimView PROPERTIES LINK_FLAGS_MINSIZEREL "-dead_strip")
+ELSE()
+  add_executable( 
+    AnimView 
+    WIN32 # This prevents the dos console showing up
+    ${animview_source_files}
+  )
+ENDIF()
 
 # Finding libraries
 
 # Find WxWidgets
-SET(wxWidgets_USE_LIBS gl base core) # optionally: more than wx std libs
+SET(wxWidgets_USE_LIBS core base) # optionally: more than wx std libs
 FIND_PACKAGE(wxWidgets REQUIRED)
 IF(wxWidgets_FOUND)
   LINK_LIBRARIES(${wxWidgets_LIBRARIES})
@@ -47,6 +72,7 @@
   ELSE(APPLE)
     # regular unix/linux
   ENDIF(APPLE)
+ELSE(UNIX)
   IF(WIN32)
     # Win32 specific
     IF(MSVC)
@@ -64,6 +90,9 @@
   ENDIF(WIN32)
 ENDIF(UNIX)
 
-install(TARGETS AnimView RUNTIME DESTINATION AnimView)
-install(FILES LICENSE.txt DESTINATION AnimView )
-
+IF(APPLE)
+  install(TARGETS AnimView BUNDLE DESTINATION .)
+ELSE()
+  install(TARGETS AnimView RUNTIME DESTINATION AnimView)
+  install(FILES LICENSE.txt DESTINATION AnimView )
+ENDIF()

=== MapEdit/CMakeLists.txt ===
# Project Declaration
PROJECT(MapEdit)
# 2.8.3 is required for the wxWidgets finder to know about ribbon
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.3)

# Generate source files list
# Note: Done after generating config.h
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/CorsixTH/Src/)
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/agg/include/)
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/CorsixTH/Src/)
FILE(GLOB_RECURSE mapedit_source_files
  ${CMAKE_SOURCE_DIR}/MapEdit/Src/*.cpp
  ${CMAKE_SOURCE_DIR}/MapEdit/Src/*.c
  ${CMAKE_SOURCE_DIR}/MapEdit/Src/*.h
  ${CMAKE_SOURCE_DIR}/CorsixTH/Src/*.h
  ${CMAKE_SOURCE_DIR}/CorsixTH/Src/*.c
  ${CMAKE_SOURCE_DIR}/CorsixTH/Src/*.cpp
  ${CMAKE_SOURCE_DIR}/LFS/*.c
  ${CMAKE_SOURCE_DIR}/LPEG/*.c
)

# Declaration of the executable
IF(APPLE) 
  add_definitions(-DIS_MAPEDIT_APP)

  set(corsixth_icon_file ${CMAKE_SOURCE_DIR}/CorsixTH/Icon.icns)
  set_source_files_properties(
    ${corsixth_icon_file}
    PROPERTIES
    MACOSX_PACKAGE_LOCATION Resources
  )
  set(MACOSX_BUNDLE_ICON_FILE Icon.icns)

  add_executable(MapEdit
    MACOSX_BUNDLE
    ${mapedit_source_files}
    ${corsixth_icon_file}
  )

  set_target_properties(MapEdit PROPERTIES LINK_FLAGS_MINSIZEREL "-dead_strip")

  #Add an extra step at the end of the build process to copy the resources into the
  #bundle. I haven't yet found a way to keep the folder structure when adding resources
  #into XCode. I would have thought we could use source_group but apparently not.
  set(corsixth_bundle_resources 
    ${CMAKE_SOURCE_DIR}/CorsixTH/CorsixTH.lua
    ${CMAKE_SOURCE_DIR}/CorsixTH/Bitmap
    ${CMAKE_SOURCE_DIR}/CorsixTH/Lua
  )
  add_custom_command(TARGET MapEdit 
					 POST_BUILD
					 COMMAND /Developer/Library/PrivateFrameworks/DevToolsCore.framework/Resources/pbxcp -exclude .DS_Store -exclude CVS -exclude .svn -resolve-src-symlinks ${corsixth_bundle_resources} \${TARGET_BUILD_DIR}/\${FULL_PRODUCT_NAME}/Contents/Resources
)

ELSE()
  add_executable(MapEdit 
    WIN32 
    ${mapedit_source_files}
)
ENDIF()

# Basic platform dependant stuff
IF(UNIX)
  IF(APPLE)
    # fruit goes here
  ELSE(APPLE)
    # regular unix/linux
  ENDIF(APPLE)
ELSE(UNIX)
  IF(WIN32)
    # Win32 specific
    IF(MSVC)
      # We want to bind against the very latest versions of the MSVC runtimes
      add_definitions(/D "_BIND_TO_CURRENT_VCLIBS_VERSION=1")
    ELSE(MSVC)
      IF(MSYS)
        # MSYS stuff
      ELSE(MSYS)
        # What's left? MINGW? CYGWIN? BORLAND?
      ENDIF(MSYS)
    ENDIF(MSVC)
  ELSE(WIN32)
    # other OS (not UNIX, not 32/64 bit Windows)
  ENDIF(WIN32)
ENDIF(UNIX)

# Finding libraries

# Find WxWidgets
SET(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}")
SET(wxWidgets_USE_LIBS gl ribbon core base) # optionally: more than wx std libs
FIND_PACKAGE(wxWidgets REQUIRED)
IF(wxWidgets_FOUND)
  LINK_LIBRARIES(${wxWidgets_LIBRARIES})
  INCLUDE_DIRECTORIES(${wxWidgets_INCLUDE_DIRS})
  INCLUDE(${wxWidgets_USE_FILE})
  TARGET_LINK_LIBRARIES(MapEdit ${wxWidgets_LIBRARIES})
  message("  wxWidgets found")
ELSE(wxWidgets_FOUND)
  message( FATAL_ERROR "error: wxWdigets library (or one of it's components) not found, it is required to build")
  message( "Make sure the path is correctly defined or set the envirnomental variable WXWIN to the correct location" )
ENDIF(wxWidgets_FOUND)

# Find SDL
FIND_PACKAGE(SDL REQUIRED)
IF(SDL_FOUND)
  INCLUDE_DIRECTORIES(${SDL_INCLUDE_DIR})
  TARGET_LINK_LIBRARIES(MapEdit ${SDL_LIBRARY})
  message( "  SDL found" )
ELSE(SDL_FOUND)
  message( FATAL_ERROR "error: SDL library not found, it is required to build")
  message( "Make sure the path is correctly defined or set the envirnomental variable SDLDIR to the correct location" )
ENDIF(SDL_FOUND)

# Find SDL_mixer
IF(CORSIX_TH_USE_SDL_MIXER)
  FIND_PACKAGE(SDL_mixer REQUIRED)
  IF(SDLMIXER_FOUND)
    TARGET_LINK_LIBRARIES(MapEdit ${SDLMIXER_LIBRARY})
    INCLUDE_DIRECTORIES(${SDLMIXER_INCLUDE_DIR})
  message( "  SDL_mixer found" )
  ELSE(SDLMIXER_FOUND)
    message( "error: SDL_mixer library not found, it was selected to be included")
  ENDIF(SDLMIXER_FOUND)
ENDIF(CORSIX_TH_USE_SDL_MIXER)

# Find Freetype2
IF(CORSIX_TH_USE_FREETYPE2)
  FIND_PACKAGE(Freetype REQUIRED)
  IF(FREETYPE_FOUND)
    TARGET_LINK_LIBRARIES(MapEdit ${FREETYPE_LIBRARIES})
    INCLUDE_DIRECTORIES(${FREETYPE_INCLUDE_DIRS})
    message("  FreeType2 found")
  ELSE(FREETYPE_FOUND)
    message("Error: FreeType2 library not found, even though it was selected to be used")
  ENDIF(FREETYPE_FOUND)
ENDIF(CORSIX_TH_USE_FREETYPE2)

# Find OpenGL
IF(CORSIX_TH_USE_OGL_RENDERER)
  FIND_PACKAGE(OpenGL REQUIRED)
  IF(OPENGL_FOUND)
    TARGET_LINK_LIBRARIES( MapEdit ${OPENGL_gl_LIBRARY})
    INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
    message( "  OpenGL found" )
  ELSE(OPENGL_FOUND)
    message( FATAL_ERROR "error: OpenGL library not found, it is required to build")
  ENDIF(OPENGL_FOUND)
ENDIF(CORSIX_TH_USE_OGL_RENDERER)

# Find Lua
FIND_PACKAGE(Lua51 REQUIRED)
IF(LUA51_FOUND)
  TARGET_LINK_LIBRARIES( MapEdit ${LUA_LIBRARY})
  INCLUDE_DIRECTORIES(${LUA_INCLUDE_DIR})
  message( "  Lua 5.1 found" )
ELSE(LUA51_FOUND)
  message( FATAL_ERROR "error: Lua library not found, it is required to build")
ENDIF(LUA51_FOUND)

IF(APPLE)
  #Just use the prefix as it's sufficient to just set the prefix to /Applications on Mac.
  install(TARGETS MapEdit BUNDLE DESTINATION .)

  #Copy the required frameworks into the bundle.
  IF(SDL_FOUND)
	IF(SDL_LIBRARY MATCHES "\\.framework") #Only copy if it's an actual framework.
      string(REPLACE "-framework Cocoa" "" SDL_FRAMEWORK_LOC ${SDL_LIBRARY})
      install(DIRECTORY ${SDL_FRAMEWORK_LOC} DESTINATION MapEdit.app/Contents/Frameworks)
    ENDIF()
  ENDIF()

  IF(SDLMIXER_FOUND)
    IF(${SDLMIXER_LIBRARY} MATCHES "\\.framework$") #Only copy if it's an actual framework.
      install(DIRECTORY ${SDLMIXER_LIBRARY} DESTINATION MapEdit.app/Contents/Frameworks)
    ENDIF()
  ENDIF()

  IF(LUA51_FOUND)
    IF(${LUA_LIBRARY} MATCHES "\\.framework$") #Only copy if it's an actual framework.
  	  install(DIRECTORY ${LUA_LIBRARY} DESTINATION MapEdit.app/Contents/Frameworks)
    ENDIF()
  ENDIF()

ELSE()
  install(TARGETS MapEdit RUNTIME DESTINATION CorsixTH)
ENDIF()

=== debian/changelog ===
corsixth (0.01b-0maemo8) unstable; urgency=low

  * fixed control file

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri, 13 Apr 2012 08:47:30 -0400

corsixth (0.01b-0maemo7) unstable; urgency=low

  * improved compiler flags

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri, 13 Apr 2012 08:18:32 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: corsixth
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, corsixth-data (= ${source:Version}), libvorbisfile3
+Depends: ${shlibs:Depends}, ${misc:Depends}, corsixth-data (= ${source:Version})
 Description: Open source clone of Theme Hospital
  This project aims to reimplement the game engine of Theme Hospital,
  and be able to load the original game data files.

=== debian/rules ===
--- 
+++ 
@@ -31,9 +31,10 @@
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS+=-O0
 else ifneq (,$(findstring arm,$(DEB_BUILD_GNU_TYPE)))
-	CFLAGS+=-Os
+	CFLAGS+=-O2
 	ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
-		CFLAGS+=-march=armv6j -mtune=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
+		#CFLAGS+=-march=armv6j -mtune=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
+		CFLAGS+=-march=armv7-a -mcpu=cortex-a8 -mfpu=neon
 	endif
 else # x86
 	CFLAGS+=-O2

## corsixth 0.10-0maemo2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 #   - WITH_DIRECTX : Activate DirectX Renderer (Windows only)
 # Any of the following:
 #   - WITH_AUDIO   : Activate Sound (enabled by default)
+#   - WITH_FREETYPE2
 #   - BUILD_ANIMVIEWER
 #   - BUILD_MAPEDITOR
 
@@ -19,6 +20,7 @@
 OPTION(WITH_DIRECTX "Activate DirectX Renderer" OFF)
 OPTION(WITH_SDL "Activate SDL Renderer" ON) # our default option
 OPTION(WITH_AUDIO "Activate Sound" ON) # enabled by default
+OPTION(WITH_FREETYPE2 "Enhanced Font Support" ON)
 OPTION(BUILD_ANIMVIEWER "Build the animation viewer as part of the build process" OFF)
 OPTION(BUILD_MAPEDITOR "Build the map editor as part of the build process" OFF)
 
@@ -64,6 +66,14 @@
   MESSAGE("Note: SDL audio is disabled")
 ENDIF(WITH_AUDIO)
 
+IF(WITH_FREETYPE2)
+  SET(CORSIX_TH_USE_FREETYPE2 ON)
+  MESSAGE("Note: FreeType2 is enabled (default)")
+ELSE()
+  SET(CORSIX_TH_USE_FREETYPE2 OFF)
+  MESSAGE("Note: FreeType2 is disabled")
+ENDIF(WITH_FREETYPE2)
+
 # Environment handling
 
 CHECK_INCLUDE_FILES(stdint.h CORSIX_TH_HAS_STDINT_H)

=== AnimView/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
   th.h
   tinystr.h
   tinyxml.h
+  AnimView.rc
 )
 
 # Declaration of the executable

=== MapEdit/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
   ${CMAKE_SOURCE_DIR}/MapEdit/Src/*.cpp
   ${CMAKE_SOURCE_DIR}/MapEdit/Src/*.c
   ${CMAKE_SOURCE_DIR}/MapEdit/Src/*.h
+  ${CMAKE_SOURCE_DIR}/MapEdit/MapEdit.rc
   ${CMAKE_SOURCE_DIR}/CorsixTH/Src/*.h
   ${CMAKE_SOURCE_DIR}/CorsixTH/Src/*.c
   ${CMAKE_SOURCE_DIR}/CorsixTH/Src/*.cpp
@@ -48,8 +49,8 @@
     ${CMAKE_SOURCE_DIR}/CorsixTH/Lua
   )
   add_custom_command(TARGET MapEdit 
-					 POST_BUILD
-					 COMMAND /Developer/Library/PrivateFrameworks/DevToolsCore.framework/Resources/pbxcp -exclude .DS_Store -exclude CVS -exclude .svn -resolve-src-symlinks ${corsixth_bundle_resources} \${TARGET_BUILD_DIR}/\${FULL_PRODUCT_NAME}/Contents/Resources
+    POST_BUILD
+    COMMAND /Developer/Library/PrivateFrameworks/DevToolsCore.framework/Resources/pbxcp -exclude .DS_Store -exclude CVS -exclude .svn -resolve-src-symlinks ${corsixth_bundle_resources} \${TARGET_BUILD_DIR}/\${FULL_PRODUCT_NAME}/Contents/Resources
 )
 
 ELSE()
@@ -164,7 +165,7 @@
 
   #Copy the required frameworks into the bundle.
   IF(SDL_FOUND)
-	IF(SDL_LIBRARY MATCHES "\\.framework") #Only copy if it's an actual framework.
+    IF(SDL_LIBRARY MATCHES "\\.framework") #Only copy if it's an actual framework.
       string(REPLACE "-framework Cocoa" "" SDL_FRAMEWORK_LOC ${SDL_LIBRARY})
       install(DIRECTORY ${SDL_FRAMEWORK_LOC} DESTINATION MapEdit.app/Contents/Frameworks)
     ENDIF()
@@ -178,7 +179,7 @@
 
   IF(LUA51_FOUND)
     IF(${LUA_LIBRARY} MATCHES "\\.framework$") #Only copy if it's an actual framework.
-  	  install(DIRECTORY ${LUA_LIBRARY} DESTINATION MapEdit.app/Contents/Frameworks)
+      install(DIRECTORY ${LUA_LIBRARY} DESTINATION MapEdit.app/Contents/Frameworks)
     ENDIF()
   ENDIF()

=== debian/changelog ===
corsixth (0.10-0maemo2) unstable; urgency=low

  * libfreetype6-dev added to control file

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue, 16 Oct 2012 14:58:04 -0400

corsixth (0.10-0maemo1) unstable; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Thu, 11 Oct 2012 16:26:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: corsixth
 Section: user/games
 Priority: extra
-Maintainer: Holger Nahrstaedt <holgernahrstaedt@gmx.de>
+Maintainer: Javier S. Pedro <maemo@javispedro.com>
 Build-Depends: debhelper (>= 5), cmake, sharutils, maemo-version, m4, quilt,
  liblua5.1-0-dev, libx11-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, gnupg, bash,
  pkg-config, libfreetype6-dev
